Show / Hide Table of Contents

# Class OpenIddictValidationDataProtectionBuilder

Exposes the necessary methods required to configure the OpenIddict ASP.NET Core Data Protection integration.

##### Inheritance

System.Object
OpenIddictValidationDataProtectionBuilder

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationDataProtectionBuilder

### Constructors

#### OpenIddictValidationDataProtectionBuilder(IServiceCollection)

Initializes a new instance of OpenIddictValidationDataProtectionBuilder.

##### Declaration

    public OpenIddictValidationDataProtectionBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

### Properties

#### Services

Gets the services collection.

##### Declaration

    public IServiceCollection Services { get; }

##### Property Value

Type | Description
--- | ---
IServiceCollection |

### Methods

#### Configure(Action<OpenIddictValidationDataProtectionOptions>)

Amends the default OpenIddict validation ASP.NET Core Data Protection configuration.

##### Declaration

    public OpenIddictValidationDataProtectionBuilder Configure(Action<OpenIddictValidationDataProtectionOptions> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<OpenIddictValidationDataProtectionOptions> | configuration | The delegate used to configure the OpenIddict options.

##### Returns

Type | Description
--- | ---
OpenIddictValidationDataProtectionBuilder | The OpenIddictValidationDataProtectionBuilder.

##### Remarks

This extension can be safely called multiple times.

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

#### UseDataProtectionProvider(IDataProtectionProvider)

Configures OpenIddict to use a specific data protection provider instead of relying on the default instance provided by the DI container.

##### Declaration

    public OpenIddictValidationDataProtectionBuilder UseDataProtectionProvider(IDataProtectionProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
IDataProtectionProvider | provider | The data protection provider used to create token protectors.

##### Returns

Type | Description
--- | ---
OpenIddictValidationDataProtectionBuilder | The OpenIddictValidationDataProtectionBuilder.

#### UseFormatter(IOpenIddictValidationDataProtectionFormatter)

Configures OpenIddict to use a specific formatter instead of relying on the default instance.

##### Declaration

    public OpenIddictValidationDataProtectionBuilder UseFormatter(IOpenIddictValidationDataProtectionFormatter formatter)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictValidationDataProtectionFormatter | formatter | The formatter used to read tokens.

##### Returns

Type | Description
--- | ---
OpenIddictValidationDataProtectionBuilder | The OpenIddictValidationDataProtectionBuilder.